# Generated by rust2rpm 18
%bcond_without check
%global debug_package %{nil}

%global crate ttf-parser

Name:           rust-%{crate}
Version:        0.12.3
Release:        3%{?dist}
Summary:        High-level, safe, zero-allocation TrueType font parser

# Upstream license specification: MIT OR Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/ttf-parser
Source:         %{crates_source}
# Initial patched metadata
# * bump base64 dev-dependency from 0.12 to 0.13
# * bump svgtypes dev-dependency from 0.5 to 0.6
# * remove unused pico-args dev-dependency
Patch0:         ttf-parser-fix-metadata.diff

ExclusiveArch:  %{rust_arches}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

%global _description %{expand:
High-level, safe, zero-allocation TrueType font parser.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE-APACHE LICENSE-MIT
%doc README.md CHANGELOG.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/
%exclude %{cargo_registry}/%{crate}-%{version_no_tilde}/meson.build
%exclude %{cargo_registry}/%{crate}-%{version_no_tilde}/examples/wasm/
%exclude %{cargo_registry}/%{crate}-%{version_no_tilde}/testing-tools/
%exclude %{cargo_registry}/%{crate}-%{version_no_tilde}/tests/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages
which use "std" feature of "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+variable-fonts-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+variable-fonts-devel %{_description}

This package contains library source intended for building other packages
which use "variable-fonts" feature of "%{crate}" crate.

%files       -n %{name}+variable-fonts-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# only unit tests are included in published crates
%cargo_test -- --lib
%cargo_test -- --doc
%endif

%changelog
* Thu Aug 26 2021 Fabio Valentini <decathorpe@gmail.com> - 0.12.3-3
- Bump svgtypes from 0.5 to 0.6.

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon Jun 28 2021 Fabio Valentini <decathorpe@gmail.com> - 0.12.3-1
- Update to version 0.12.3.
- Fixes RHBZ#1897853

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Oct 10 2020 Fabio Valentini <decathorpe@gmail.com> - 0.6.2-1
- Initial package
